### Enumeration

# FwupdPlugin FirmwareFlags

#### Declaration

    flags FwupdPlugin.FirmwareFlags

#### Description

No description available.

#### Members

`FU_FIRMWARE_FLAG_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_DEDUPE_ID`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_DEDUPE_IDX`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_HAS_CHECKSUM`

  Or CRC.

  - Value: `4`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_HAS_VID_PID`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_DONE_PARSE`

  No description available.

  - Value: `16`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_HAS_STORED_SIZE`

  No description available.

  - Value: `32`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_ALWAYS_SEARCH`

  Useful has an unparsed variable-length header.

  - Value: `64`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_NO_AUTO_DETECTION`

  Has no known header.

  - Value: `128`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_HAS_CHECK_COMPATIBLE`

  No description available.

  - Value: `256`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_IS_LAST_IMAGE`

  Use for FuLinearFirmware when padding is present.

  - Value: `512`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_ALLOW_LINEAR`

  Parse as an array of firmwares.

  - Value: `1024`
  - Available since: 1.0
`FU_FIRMWARE_FLAG_IS_ABSTRACT`

  Cannot parse a blob directly.

  - Value: `2048`
  - Available since: 1.0